@use "variables"

.search-block
  background-color: variables.$blue
  padding: 30px

  .search-form
    position: relative
    padding-right: 340px
    max-width: variables.$header-width
    margin: 0 auto
    @media screen and (max-width: variables.$header-width)
      padding-right: 270px
    @media screen and (max-width: variables.$mobile-width)
      padding-right: 0

    input:focus
      outline: none


  .search
    width: 100%
    height: 50px
    padding: 0 15px
    border: 0
    border-radius: 5px
    outline-width: 0
    font-size: 18px
    outline: none

  .search-button
    position: absolute
    top: 0
    right: 0
    width: 310px
    height: 50px
    padding: 14px 0 14px 45px
    border: 0
    color: variables.$white
    text-decoration: none
    font-size: 18px
    text-align: left
    cursor: pointer
    background-color: variables.$blue
    background-repeat: no-repeat
    background-size: auto 50%
    background-position-x: 10px
    background-position-y: 50%
    background-image: url("../images/arrow-right.svg")
    @media screen and (max-width: variables.$header-width)
      width: 240px
    @media screen and (max-width: variables.$mobile-width)
      display: none
